Constant
Contact
API Guide

Add an Account Email Address

Make a POST call to the /account/emails endpoint to add a new email address to the Constant Contact account associated with your access token. This method also automatically sends a confirmation email to the new email address.

When you Create an Email Campaign, you must use a confirmed email address in the from_email and reply_to_email properties. Use POST /account/emails to add a new email address to an account and send a confirmation email. Use GET /account/emails to view all account email addresses and their current status.

If the email address you are attempting to add already exists in the account, this method returns a 409 conflict error.

Request Body

Request Body Schema

Schema PropertyData TypeDescription
email_address
required
string Max Length: 80The new email address you want to add to the Constant Contact account.

Example POST Account Emails Calls

This example POST call adds a new email address to a Constant Contact account.

POST
https://api.cc.email/v3/account/emails

Endpoint Requirements

User privileges: account:updateAuthorization scopes: account_update
OkHttpClient client = new OkHttpClient();

MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"email_address\": \"dlang@example.com\"\n}");
Request request = new Request.Builder()
  .url("https://api.cc.email/v3/account/emails")
  .post(body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {access_token}")
  .build();

Response response = client.newCall(request).execute();

Response

{
    "email_id": 2,
    "email_address": "dlang@example.com",
    "confirm_status": "UNCONFIRMED"
}
Try it!

On this page